| GET | /RestApi/translations/datesrange |
|---|
import 'package:servicestack/servicestack.dart';
class GetDatesRange implements IConvertible
{
String? Days;
GetDatesRange({this.Days});
GetDatesRange.fromJson(Map<String, dynamic> json) { fromMap(json); }
fromMap(Map<String, dynamic> json) {
Days = json['Days'];
return this;
}
Map<String, dynamic> toJson() => {
'Days': Days
};
getTypeName() => "GetDatesRange";
TypeContext? context = _ctx;
}
TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
'GetDatesRange': TypeInfo(TypeOf.Class, create:() => GetDatesRange()),
});
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/datesrange HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.